<template>
    <main-master-page>
        <div class="login-container">
            <h2>Welcome to Our Recipe App</h2>
            <p>Log in with your Google account to explore and share delicious recipes!</p>
            <button @click="onClick">Log in with Google</button>
        </div>
    </main-master-page>
</template>

<script>
import MainMasterPage from '@/masterpages/MainMasterPage.vue';
import { mapActions } from 'vuex';

export default {
    name: 'LoginView',
    components: {
        MainMasterPage,
    },
    methods: {
        ...mapActions('auth', ['loginWithGoogle']),
        onClick() {
            this.loginWithGoogle();
            this.$router.push({ name: 'home' })
        },
    },
};
</script>

<style lang="scss" scoped>
.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 5vh 1vw;
    margin: 5vh 30vw;
    background-color: #fff;
    border-radius: 10px;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
    color: black;
    font-size: 100%;



    h2 {
        font-size: 24px;
        margin-bottom: 10px;
    }

    p {
        font-size: 16px;
        color: #666;
        margin-bottom: 20px;
    }

    button {
        text-decoration: none;
        background-color: green;
        color: #ffffff;
        font-weight: bold;
        font-size: 100%;
        padding: 10px;
        border: 1px solid white;
        border-radius: 30px;
        transition: background-color 0.3s, color 0.3s;

        &:hover {
            background-color: white;
            color: green;
            border: 1px solid green;

        }
    }
}
</style>


